org.apache.ignite.internal.processors.datastructures

## Class GridCacheQueueHeaderKey

- java.lang.Object
- - org.apache.ignite.internal.processors.datastructures.GridCacheQueueHeaderKey

All Implemented Interfaces:
  Externalizable, Serializable, GridCacheInternal

    public class GridCacheQueueHeaderKey
    extends Object
    implements Externalizable, GridCacheInternal

Queue header key.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCacheQueueHeaderKey()` Required by `Externalizable`.
`GridCacheQueueHeaderKey(String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `queueName()`
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheQueueHeaderKey

    public GridCacheQueueHeaderKey()

Required by `Externalizable`.

#### GridCacheQueueHeaderKey

    public GridCacheQueueHeaderKey(String name)

Parameters:
  `name` - Queue name.

### Method Detail

#### queueName

    public String queueName()

Returns:
  Queue name.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018